Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Ubuntu User (http://www.linux-archive.org/ubuntu-user/)
-   -   Failure of Ubuntu 12.04 Server install (http://www.linux-archive.org/ubuntu-user/708640-failure-ubuntu-12-04-server-install.html)

"Paul Robertson" 10-01-2012 07:15 AM

Failure of Ubuntu 12.04 Server install
 
See attached report
--
Paul Robertson
MRG Systems Ltd
Package: installation-reports

Boot method: Custom install CD based on Ubuntu 12.04 Server i386
Image version: <Full URL to image you downloaded is best>
Date: 28.9.12 09:15

Machine: Intel DQ67EQB3
Processor:Intel i3-2100T
Memory: 2GB

Partitions:
Filesystem Type 1K-blocks Used Available Use% Mounted on
/dev/sda1 ext4 29183576 1817332 25903460 7% /
udev devtmpfs 973844 4 973840 1% /dev
tmpfs tmpfs 390116 340 389776 1% /run
none tmpfs 5120 0 5120 0% /run/lock
none tmpfs 975288 132 975156 1% /run/shm

Output of lspci -knn (or lspci -nn):
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0100] (rev 09)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: agpgart-intel
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0102] (rev 09)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: i915
Kernel modules: i915
00:16.0 Communication controller [0780]: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 [8086:1c3a] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: mei
Kernel modules: mei
00:16.2 IDE interface [0101]: Intel Corporation 6 Series/C200 Series Chipset Family IDE-r Controller [8086:1c3c] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: ata_generic
00:16.3 Serial controller [0700]: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller [8086:1c3d] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: serial
00:19.0 Ethernet controller [0200]: Intel Corporation 82579LM Gigabit Network Connection [8086:1502] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: e1000e
Kernel modules: e1000e
00:1a.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [8086:1c2d] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: ehci_hcd
00:1b.0 Audio device [0403]: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller [8086:1c20] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: snd_hda_intel
Kernel modules: snd-hda-intel
00:1c.0 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 [8086:1c10] (rev b4)
Kernel driver in use: pcieport
Kernel modules: shpchp
00:1c.6 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 7 [8086:1c1c] (rev b4)
Kernel driver in use: pcieport
Kernel modules: shpchp
00:1d.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [8086:1c26] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: ehci_hcd
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev a4)
00:1f.0 ISA bridge [0601]: Intel Corporation Q67 Express Chipset Family LPC Controller [8086:1c4e] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel modules: iTCO_wdt
00:1f.2 SATA controller [0106]: Intel Corporation 6 Series/C200 Series Chipset Family SATA AHCI Controller [8086:1c02] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel driver in use: ahci
00:1f.3 SMBus [0c05]: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller [8086:1c22] (rev 04)
Subsystem: Intel Corporation Device [8086:200f]
Kernel modules: i2c-i801
02:00.0 USB controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 03)
Subsystem: Intel Corporation Device [8086:2009]
Kernel driver in use: xhci_hcd


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot: [O]
Detect network card: [O]
Configure network: [O]
Detect CD: [O]
Load installer modules: [O]
Detect hard drives: [O]
Partition hard drives: [O]
Install base system: [E]
Clock/timezone setup: [O]
User/password setup: [O]
Install tasks: [O]
Install boot loader: [O]
Overall install: [O]

Comments/Problems:
Base system install fails but can be retried, in which case it succeeds.


<Description of the install, in prose, and any thoughts, comments
and ideas you had during the initial install.>

The custom install cd is based on Ubuntu 12.04 Server, with a custom preseed file and some additional packages.
At the point of failure the error message is:

[!!] Install the base system
Debootstrap warning
Warning: Failure trying to run: chroot /target dpkg --force-depends
--install /var/cache/apt/arcives/base-passwd_3.5.24_i386.deb
/var/cache/apt/archives/base_files_6.5ubuntu6_i386.deb

The contents of syslog show:

Sep 28 09:18:43 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':
Sep 28 09:18:43 debootstrap: missing description
Sep 28 09:18:43 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':
Sep 28 09:18:43 debootstrap: missing maintainer
Sep 28 09:18:43 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':
Sep 28 09:18:43 debootstrap: missing architecture
Sep 28 09:18:43 debootstrap: Selecting previously unselected package base-passwd.
Sep 28 09:18:43 debootstrap: (Reading database ...
Sep 28 09:18:43 debootstrap: 0 files and directories currently installed.)
Sep 28 09:18:43 debootstrap: Unpacking base-passwd (from .../base-passwd_3.5.24_i386.deb) ...
Sep 28 09:18:43 debootstrap: Selecting previously unselected package base-files.
Sep 28 09:18:43 debootstrap: dpkg: regarding .../base-files_6.5ubuntu6_i386.deb containing base-files, pre-dependency problem:
Sep 28 09:18:43 debootstrap: base-files pre-depends on awk
Sep 28 09:18:43 debootstrap: awk is not installed.
Sep 28 09:18:43 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:18:43 debootstrap: Unpacking base-files (from .../base-files_6.5ubuntu6_i386.deb) ...
Sep 28 09:18:43 debootstrap: Setting up base-files (6.5ubuntu6) ...
Sep 28 09:18:43 debootstrap: dpkg: base-files: dependency problems, but configuring anyway as you requested:
Sep 28 09:18:43 debootstrap: base-files depends on awk; however:
Sep 28 09:18:43 debootstrap: Package awk is not installed.
Sep 28 09:18:43 debootstrap: chown: invalid user: `root:root'
Sep 28 09:18:43 debootstrap: dpkg: error processing base-files (--install):
Sep 28 09:18:43 debootstrap: subprocess installed post-installation script returned error exit status 1
Sep 28 09:18:43 debootstrap: Setting up base-passwd (3.5.24) ...
Sep 28 09:18:43 debootstrap: dpkg: base-passwd: dependency problems, but configuring anyway as you requested:
Sep 28 09:18:43 debootstrap: base-passwd depends on libc6 (>= 2.8); however:
Sep 28 09:18:43 debootstrap: Package libc6 is not installed.
Sep 28 09:18:43 debootstrap: Errors were encountered while processing:
Sep 28 09:18:43 debootstrap: base-files


After continuing and retrying the failed step the syslog shows:

Sep 28 09:21:46 base-installer: error: exiting on error base-installer/debootstrap-failed
Sep 28 09:22:41 main-menu[339]: WARNING **: Configuring 'bootstrap-base' failed with error code 1
Sep 28 09:22:41 main-menu[339]: WARNING **: Menu item 'bootstrap-base' failed.
Sep 28 09:23:46 main-menu[339]: INFO: Modifying debconf priority limit from 'high' to 'medium'
Sep 28 09:23:46 debconf: Setting debconf/priority to medium
Sep 28 09:23:47 main-menu[339]: DEBUG: resolver (libnewt0.52): package doesn't exist (ignored)
Sep 28 09:23:47 main-menu[339]: DEBUG: resolver (ext2-modules): package doesn't exist (ignored)
Sep 28 09:23:47 main-menu[339]: DEBUG: resolver (efi-modules): package doesn't exist (ignored)
Sep 28 09:23:57 main-menu[339]: INFO: Menu item 'bootstrap-base' selected
Sep 28 09:23:57 base-installer: warning: attempting to install to unclean target
Sep 28 09:25:48 apt-install: Queueing package keyboard-configuration for later installation
Sep 28 09:25:48 apt-install: Queueing package console-setup for later installation
Sep 28 09:25:53 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':
Sep 28 09:25:53 debootstrap: missing description
Sep 28 09:25:53 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':
Sep 28 09:25:53 debootstrap: missing maintainer
Sep 28 09:25:53 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 4 package 'dpkg':
Sep 28 09:25:53 debootstrap: missing architecture
Sep 28 09:25:53 debootstrap: Selecting previously unselected package base-passwd.
Sep 28 09:25:53 debootstrap: (Reading database ... 0 files and directories currently installed.)
Sep 28 09:25:53 debootstrap: Unpacking base-passwd (from .../base-passwd_3.5.24_i386.deb) ...
Sep 28 09:25:53 debootstrap: Selecting previously unselected package base-files.
Sep 28 09:25:53 debootstrap: dpkg: regarding .../base-files_6.5ubuntu6_i386.deb containing base-files, pre-dependency problem:
Sep 28 09:25:53 debootstrap: base-files pre-depends on awk
Sep 28 09:25:53 debootstrap: awk is not installed.
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: Unpacking base-files (from .../base-files_6.5ubuntu6_i386.deb) ...
Sep 28 09:25:53 debootstrap: Setting up base-files (6.5ubuntu6) ...
Sep 28 09:25:53 debootstrap: dpkg: base-files: dependency problems, but configuring anyway as you requested:
Sep 28 09:25:53 debootstrap: base-files depends on awk; however:
Sep 28 09:25:53 debootstrap: Package awk is not installed.
Sep 28 09:25:53 debootstrap: Setting up base-passwd (3.5.24) ...
Sep 28 09:25:53 debootstrap: dpkg: base-passwd: dependency problems, but configuring anyway as you requested:
Sep 28 09:25:53 debootstrap: base-passwd depends on libc6 (>= 2.8); however:
Sep 28 09:25:53 debootstrap: Package libc6 is not installed.
Sep 28 09:25:53 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 53 package 'dpkg':
Sep 28 09:25:53 debootstrap: missing description
Sep 28 09:25:53 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 53 package 'dpkg':
Sep 28 09:25:53 debootstrap: missing maintainer
Sep 28 09:25:53 debootstrap: dpkg: warning: parsing file '/var/lib/dpkg/status' near line 53 package 'dpkg':
Sep 28 09:25:53 debootstrap: missing architecture
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on libbz2-1.0
Sep 28 09:25:53 debootstrap: libbz2-1.0 is not installed.
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on libc6 (>= 2.11)
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on libselinux1 (>= 1.32)
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on zlib1g (>= 1:1.1.4)
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on coreutils (>= 5.93-1)
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on tar (>= 1.23)
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: dpkg: regarding .../dpkg_1.16.1.2ubuntu7_i386.deb containing dpkg, pre-dependency problem:
Sep 28 09:25:53 debootstrap: dpkg pre-depends on xz-utils
Sep 28 09:25:53 debootstrap: xz-utils is not installed.
Sep 28 09:25:53 debootstrap: dpkg: warning: ignoring pre-dependency problem!
Sep 28 09:25:53 debootstrap: (Reading database ... 117 files and directories currently installed.)
Sep 28 09:25:53 debootstrap: Preparing to replace dpkg 1.16.1.2ubuntu7 (using .../dpkg_1.16.1.2ubuntu7_i386.deb) ...
Sep 28 09:25:53 debootstrap: Unpacking replacement dpkg ...
Sep 28 09:25:53 debootstrap: Setting up dpkg (1.16.1.2ubuntu7) ...
Sep 28 09:25:53 debootstrap: dpkg: dpkg: dependency problems, but configuring anyway as you requested:
Sep 28 09:25:53 debootstrap: dpkg depends on libbz2-1.0; however:
Sep 28 09:25:53 debootstrap: Package libbz2-1.0 is not installed.
Sep 28 09:25:53 debootstrap: dpkg depends on libc6 (>= 2.11); however:
Sep 28 09:25:53 debootstrap: Package libc6 is not installed.
Sep 28 09:25:53 debootstrap: dpkg depends on libselinux1 (>= 1.32); however:
Sep 28 09:25:53 debootstrap: Package libselinux1 is not installed.
Sep 28 09:25:53 debootstrap: dpkg depends on zlib1g (>= 1:1.1.4); however:
Sep 28 09:25:53 debootstrap: Package zlib1g is not installed.
Sep 28 09:25:53 debootstrap: dpkg depends on coreutils (>= 5.93-1); however:
Sep 28 09:25:53 debootstrap: Package coreutils is not installed.
Sep 28 09:25:53 debootstrap: dpkg depends on tar (>= 1.23); however:
Sep 28 09:25:53 debootstrap: Package tar is not installed.
Sep 28 09:25:53 debootstrap: dpkg depends on xz-utils; however:
Sep 28 09:25:53 debootstrap: Package xz-utils is not installed.
Sep 28 09:25:53 debootstrap: Selecting previously unselected package libc6.
Sep 28 09:25:53 debootstrap: (Reading database ...
Sep 28 09:25:53 debootstrap: 357 files and directories currently installed.)
Sep 28 09:25:53 debootstrap: Unpacking libc6 (from .../libc6_2.15-0ubuntu10_i386.deb) ...
Sep 28 09:25:54 debootstrap: Setting up libc6 (2.15-0ubuntu10) ...
Sep 28 09:25:54 debootstrap: dpkg: libc6: dependency problems, but configuring anyway as you requested:
Sep 28 09:25:54 debootstrap: libc6 depends on libc-bin (= 2.15-0ubuntu10); however:
Sep 28 09:25:54 debootstrap: Package libc-bin is not installed.
Sep 28 09:25:54 debootstrap: libc6 depends on libgcc1; however:
Sep 28 09:25:54 debootstrap: Package libgcc1 is not installed.
Sep 28 09:25:54 debootstrap: libc6 depends on tzdata; however:
Sep 28 09:25:54 debootstrap: Package tzdata is not installed.
Sep 28 09:25:54 debootstrap: Selecting previously unselected package perl-base.
Sep 28 09:25:54 debootstrap: (Reading database ...
Sep 28 09:25:54 debootstrap: 671 files and directories currently installed.)
Sep 28 09:25:54 debootstrap: Unpacking perl-base (from .../perl-base_5.14.2-6ubuntu2_i386.deb) ...
...

--
ubuntu-users mailing list
ubuntu-users@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users


All times are GMT. The time now is 01:53 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.